Sync scripts from stacklight-model
This allows to deploy OpenStack (with OVS or OpenContrail) and
Kubernetes deployments with the same tools.
Change-Id: I5efeab98e70d083a8c54a649b7b59101edc497a6
diff --git a/scripts/config_verify.sh b/scripts/config_verify.sh
new file mode 100755
index 0000000..cafa9b3
--- /dev/null
+++ b/scripts/config_verify.sh
@@ -0,0 +1,20 @@
+#!/bin/bash -x
+exec > >(tee -i /tmp/"$(basename "$0" .sh)"_"$(date '+%Y-%m-%d_%H-%M-%S')".log) 2>&1
+
+CWD="$(dirname "$(readlink -f "$0")")"
+
+# Import common functions
+COMMONS="$CWD"/common_functions.sh
+if [ ! -f "$COMMONS" ]; then
+ echo "File $COMMONS does not exist"
+ exit 1
+fi
+. "$COMMONS"
+
+# Verify that Salt master is correctly bootstrapped
+salt-key
+reclass-salt --top
+
+# Verify that Salt minions are responding and have the same version as the master
+salt-call --version
+salt '*' test.version